#ifndef _PACKET_H_
#define _PACKET_H_


#include "ComputedPacket.h"

class Packet
{
public:
    //data
    int Type; // 1 Octet
    int Subtype; // 2 Octet
    int Extended; // 1 Octet
    int DataSize; // 4 Octet
    char * DataPointer;
    unsigned char Checksum; // 2 Octet

    //constructeur
    Packet();
    Packet(int NewType, int NewSubtype, int NewExtended, int NewDataSize, char * NewDataPointer);


    //encodage
    ComputedPacket PackPacket();
    int UnpackPacket(ComputedPacket ReceivedPacket);

    //nettoyage
    void Reset();

private:

    //checksum
    void ComputeChecksum(ComputedPacket PacketToSum);

};



#endif // _PACKET_H_
